Class | AlbumsController
In: | app/controllers/albums_controller.rb
Parent: | ApplicationController

### Methods

index show

### Public Instance methods

index()

[Source]

       # File app/controllers/albums_controller.rb, line 2
    2:   def index
    3:     @title = t('photos.fototeca')
    4:     @albums = Album.paginate :page => params[:page], :per_page => 15, :order => "title_es"
    5:   end

show()

[Source]

        # File app/controllers/albums_controller.rb, line 7
     7:   def show
     8:     @album = Album.find(params[:id])
     9:     @title = @album.title
    10:     @first_photo = @album.photos.ordered_by_title.find :first
    11:     @photos = @album.photos.ordered_by_title.paginate :page => params[:page], :per_page => 15,
    12:       :conditions =>  @first_photo ? "photo_id <> #{@first_photo.id}" : nil
    13:   end

[Validate]